require "rails/all"

require_relative "oximeter/base_controller"
require_relative "oximeter/pulse_controller"
require_relative "oximeter/engine"
require_relative "oximeter/configuration/configuration"
require_relative "oximeter/configuration/model"
require_relative "oximeter/reports/period"
require_relative "oximeter/reports/report"

module Oximeter
  def self.configure(entity = nil, &block)
    if entity
      Configuration.model(entity, &block)
    elsif block_given?
      Configuration.instance_eval(&block)
    else
      Configuration
    end
  end
end